## [0.2.0](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.1.3...v0.2.0) (2023-09-25)

### ⚠ BREAKING CHANGES

- add light and dark theme mixins
- **colors:** merge color props under common `color` prop

### Features

- add light and dark theme mixins ([60f4620](https://dev.funkwhale.audio/funkwhale/ui/commit/60f462094628d253ef017d64beda117866ba7c27))
- component based popovers ([39f5aa9](https://dev.funkwhale.audio/funkwhale/ui/commit/39f5aa907f9617439ca253d65393de8947ebdda8))
- **gitignore:** Avoid vitepress artifacts being committed ([edb104e](https://dev.funkwhale.audio/funkwhale/ui/commit/edb104e8fa5963d095fa2ebf1efa3c11b37ea02c))
- implement dark theme ([9336221](https://dev.funkwhale.audio/funkwhale/ui/commit/9336221d046cd7b6589f851e13dae2eea2b24855))
- **popover:** add `open`, `close` and `isOpen` props to the default slot ([6515d6f](https://dev.funkwhale.audio/funkwhale/ui/commit/6515d6f9eedd8bfc42a8569d43038ee62f9e363b))
- **renovate:** Make renovate to widen dependencies versions ([8ea1d40](https://dev.funkwhale.audio/funkwhale/ui/commit/8ea1d4025ba8c45cc1c592b0a53d95f9f906ef2d))
- **renovate:** Use funkwhale's shared presets ([968a7e7](https://dev.funkwhale.audio/funkwhale/ui/commit/968a7e7122c090191c47b11cfa6dcf6636637610))
- smaller output ([abf7849](https://dev.funkwhale.audio/funkwhale/ui/commit/abf78499642d521c67bfa1f7341249251d1cc6e6))
- **tooling:** Add Changelog management ([ce9bc09](https://dev.funkwhale.audio/funkwhale/ui/commit/ce9bc09757f11fbcc3855c7ef612c2a91cb19ae5))
- update colors ([b306ae5](https://dev.funkwhale.audio/funkwhale/ui/commit/b306ae51baa96be3837d4a61c5914eb4f3e62e4f))
- update colors ([4a48959](https://dev.funkwhale.audio/funkwhale/ui/commit/4a48959a2b2fe554007aed54176b83e39dfcd5ed))
- update colors to resemble mockups ([9edb479](https://dev.funkwhale.audio/funkwhale/ui/commit/9edb479f7e21b4e3e895a6a6ab75d29c63acb113))
- use vue macros ([e69e754](https://dev.funkwhale.audio/funkwhale/ui/commit/e69e75490f5944d7711282a2922c6fcae4104457))

### Bug Fixes

- **bundle:** don't bundle some scss files multiple times ([4056133](https://dev.funkwhale.audio/funkwhale/ui/commit/40561336a7126944028f9d04d2294745575fbc29))
- **cards:** Allow usage of semantic headings without breaking the style ([fb66bd3](https://dev.funkwhale.audio/funkwhale/ui/commit/fb66bd3e18d817c5a78ce02d556da3890d50cc2d))
- **cards:** make buttons always attached to the bottom despite the card height ([1f5e4b2](https://dev.funkwhale.audio/funkwhale/ui/commit/1f5e4b256f9c7989be887aed00674ef710ae5e7f))
- **CI:** Make sure build artifacts are available for deploy ([4faccb8](https://dev.funkwhale.audio/funkwhale/ui/commit/4faccb848f3032523265d1fcc9f0f874de615114))
- **contrast:** make primary variants use lighter text color for better contrast ratio ([0d7bb41](https://dev.funkwhale.audio/funkwhale/ui/commit/0d7bb4103221a0c9981d5089810354c6e98134d7))
- fix button colors ([57738c8](https://dev.funkwhale.audio/funkwhale/ui/commit/57738c8dd5b743378c6dfe5998ea591e173cbe30))
- fix hr height ([3baa68d](https://dev.funkwhale.audio/funkwhale/ui/commit/3baa68d9060a6232330520d3caf5c2a094d0fb0c))
- fix minor documentation bugs and cleanup styles ([ade20a3](https://dev.funkwhale.audio/funkwhale/ui/commit/ade20a382b34709a26488f296fc908d12dc7c25a))
- Make sure all components render properly ([0f1b340](https://dev.funkwhale.audio/funkwhale/ui/commit/0f1b3400637d32d957f78451849f7df5a4775112))
- **pill:** Adjust font-size ([a1ba2e6](https://dev.funkwhale.audio/funkwhale/ui/commit/a1ba2e6ca07b53695443983eb70d9ef97c3abd5f))
- **popover:** make popover closeable by clicking the triggering element again ([af0b111](https://dev.funkwhale.audio/funkwhale/ui/commit/af0b11136f75bccb13d4265f5ef32587281dcc84))
- **renovate:** Pin dev dependencies, no range widening required ([29ee222](https://dev.funkwhale.audio/funkwhale/ui/commit/29ee22282f2f1c532e1d8c8d38f52971ff3061e6))
- **renovate:** Restrict rangeStrategy: widen to npm packages ([d6d0821](https://dev.funkwhale.audio/funkwhale/ui/commit/d6d0821eb78223dbfb02f50996f7a4d962edd0d2))
- resolve dark theme problems ([c35bc8e](https://dev.funkwhale.audio/funkwhale/ui/commit/c35bc8e69531e284f7110ba2c2ca5ed3e612bd5f))
- Set box-sizing of cards to border-box ([09e082b](https://dev.funkwhale.audio/funkwhale/ui/commit/09e082ba1216f8ed80a4396308885d8c2927e7cf))
- spelling errors ([72eb990](https://dev.funkwhale.audio/funkwhale/ui/commit/72eb99042c227660b7fa114c29549e705d5e9172))
- **tests:** fix vitest ([9d714d9](https://dev.funkwhale.audio/funkwhale/ui/commit/9d714d9ff7c3a8693208cc257a5c577fadf7030b))
- **types:** resolve type issues in vite config ([76ca93f](https://dev.funkwhale.audio/funkwhale/ui/commit/76ca93f2cc3bf189e0b16a6638f39bd379e917f0))
- **utils:** fix markdown rendering component ([ea1380f](https://dev.funkwhale.audio/funkwhale/ui/commit/ea1380f35a8d2da02f753bdc651d431ef9df0241))

### Code Refactoring

- **colors:** merge color props under common `color` prop ([2a3a116](https://dev.funkwhale.audio/funkwhale/ui/commit/2a3a116294efe05b8f1f4945f5dfa8e513861828))

## [0.1.3](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.1.2...v0.1.3) (2022-10-05)

## [0.1.2](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.1.1...v0.1.2) (2022-10-05)

## [0.1.1](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.1.0...v0.1.1) (2022-10-05)

## [0.1.0](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.1.0-rc1...v0.1.0) (2022-09-29)

## [0.1.0-rc1](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.0.4-rc2...v0.1.0-rc1) (2022-09-29)

## [0.0.4-rc2](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.0.3...v0.0.4-rc2) (2022-09-25)

## [0.0.3](https://dev.funkwhale.audio/funkwhale/ui/compare/v0.0.2...v0.0.3) (2022-09-24)

## 0.0.2 (2022-09-24)

## <small>0.1.3 (2022-10-05)</small>

- Add peer dependencies ([14ea619](https://dev.funkwhale.audio/funkwhale/ui/commits/14ea619))
- Add README note about dependencies ([0e51fb0](https://dev.funkwhale.audio/funkwhale/ui/commits/0e51fb0))
- v0.1.3 ([aef4de2](https://dev.funkwhale.audio/funkwhale/ui/commits/aef4de2))

## <small>0.1.2 (2022-10-05)</small>

- Try making Gitlab CI reuse already built artifacts ([8ec0191](https://dev.funkwhale.audio/funkwhale/ui/commits/8ec0191))
- v0.1.2 ([fb48712](https://dev.funkwhale.audio/funkwhale/ui/commits/fb48712))

## <small>0.1.1 (2022-10-05)</small>

- Add dist files to npm published version ([6619855](https://dev.funkwhale.audio/funkwhale/ui/commits/6619855))
- Fix kebab-casing ([7d9ae1d](https://dev.funkwhale.audio/funkwhale/ui/commits/7d9ae1d))
- Fix spacing ([71c0082](https://dev.funkwhale.audio/funkwhale/ui/commits/71c0082))
- v0.1.1 ([f55405c](https://dev.funkwhale.audio/funkwhale/ui/commits/f55405c))
- docs(contribute): Document how to do a release ([377b9b7](https://dev.funkwhale.audio/funkwhale/ui/commits/377b9b7))

## 0.1.0 (2022-09-29)

- Remove relative link ([1009fde](https://dev.funkwhale.audio/funkwhale/ui/commits/1009fde))
- Update README ([29acfbe](https://dev.funkwhale.audio/funkwhale/ui/commits/29acfbe))
- v0.1.0 ([c629d67](https://dev.funkwhale.audio/funkwhale/ui/commits/c629d67))

## 0.1.0-rc1 (2022-09-29)

- Add activity card ([b6b1ec1](https://dev.funkwhale.audio/funkwhale/ui/commits/b6b1ec1))
- Add album card ([d80cb43](https://dev.funkwhale.audio/funkwhale/ui/commits/d80cb43))
- Add artist card ([78b2930](https://dev.funkwhale.audio/funkwhale/ui/commits/78b2930))
- Add basic popover ([0c3c202](https://dev.funkwhale.audio/funkwhale/ui/commits/0c3c202))
- Add button states and use css vars for colors ([e5eba78](https://dev.funkwhale.audio/funkwhale/ui/commits/e5eba78))
- Add cards ([2d07503](https://dev.funkwhale.audio/funkwhale/ui/commits/2d07503))
- Add documentation for all components ([76a5ac9](https://dev.funkwhale.audio/funkwhale/ui/commits/76a5ac9))
- Add input component ([5371a41](https://dev.funkwhale.audio/funkwhale/ui/commits/5371a41))
- Add pagination ([b1471ef](https://dev.funkwhale.audio/funkwhale/ui/commits/b1471ef))
- Add placeholder support for textarea ([4b20db5](https://dev.funkwhale.audio/funkwhale/ui/commits/4b20db5))
- Add playlist card ([fd6c255](https://dev.funkwhale.audio/funkwhale/ui/commits/fd6c255))
- Add podcast card and cleanup other cards styles ([efa36bc](https://dev.funkwhale.audio/funkwhale/ui/commits/efa36bc))
- Add round and icon buttons ([5ece843](https://dev.funkwhale.audio/funkwhale/ui/commits/5ece843))
- Add sanitized html and markdown renderer components ([d61275b](https://dev.funkwhale.audio/funkwhale/ui/commits/d61275b))
- Add select fields ([0f267b6](https://dev.funkwhale.audio/funkwhale/ui/commits/0f267b6))
- Add some quality of life changes ([e188c27](https://dev.funkwhale.audio/funkwhale/ui/commits/e188c27))
- Add some style fixes ([be6ae17](https://dev.funkwhale.audio/funkwhale/ui/commits/be6ae17))
- Add table of contents ([8b8aa52](https://dev.funkwhale.audio/funkwhale/ui/commits/8b8aa52))
- Add textarea ([cd0e364](https://dev.funkwhale.audio/funkwhale/ui/commits/cd0e364))
- Add toggle and tabs components ([d8d2ddf](https://dev.funkwhale.audio/funkwhale/ui/commits/d8d2ddf))
- Add vue-router support ([a237163](https://dev.funkwhale.audio/funkwhale/ui/commits/a237163))
- Configure auto deployment ([51ad457](https://dev.funkwhale.audio/funkwhale/ui/commits/51ad457))
- Fix build error ([5e5e057](https://dev.funkwhale.audio/funkwhale/ui/commits/5e5e057))
- Fix button test ([6b26319](https://dev.funkwhale.audio/funkwhale/ui/commits/6b26319))
- Fix docs build ([182af5b](https://dev.funkwhale.audio/funkwhale/ui/commits/182af5b))
- Fix docs rendering toc ([2e63765](https://dev.funkwhale.audio/funkwhale/ui/commits/2e63765))
- Fix GitLab CI ([8c5aab1](https://dev.funkwhale.audio/funkwhale/ui/commits/8c5aab1))
- Fix GitLab pages ([504e29d](https://dev.funkwhale.audio/funkwhale/ui/commits/504e29d))
- Fix Lato font ([7c19059](https://dev.funkwhale.audio/funkwhale/ui/commits/7c19059))
- Fix navigation button in podcast card ([fb7356b](https://dev.funkwhale.audio/funkwhale/ui/commits/fb7356b))
- Fix outDir of vitepress build ([6ebe80b](https://dev.funkwhale.audio/funkwhale/ui/commits/6ebe80b))
- Fix padding ([cc639f2](https://dev.funkwhale.audio/funkwhale/ui/commits/cc639f2))
- Fix pages artifacts ([e8671b9](https://dev.funkwhale.audio/funkwhale/ui/commits/e8671b9))
- Fix pipeline ([a4b9751](https://dev.funkwhale.audio/funkwhale/ui/commits/a4b9751))
- Fix play button in activity ([3b13585](https://dev.funkwhale.audio/funkwhale/ui/commits/3b13585))
- Fix textarea focus ([1149076](https://dev.funkwhale.audio/funkwhale/ui/commits/1149076))
- Implement pills ([7b74e48](https://dev.funkwhale.audio/funkwhale/ui/commits/7b74e48))
- Implement radio card ([1a51e21](https://dev.funkwhale.audio/funkwhale/ui/commits/1a51e21))
- Make pagination responsive ([03007e1](https://dev.funkwhale.audio/funkwhale/ui/commits/03007e1))
- Prepare to merge ([3173d2d](https://dev.funkwhale.audio/funkwhale/ui/commits/3173d2d))
- Remove src/ui ([e251e66](https://dev.funkwhale.audio/funkwhale/ui/commits/e251e66))
- Rename input suffix slot to input-right ([ae9853f](https://dev.funkwhale.audio/funkwhale/ui/commits/ae9853f))
- Resolve @Sporiff's comments ([e79555f](https://dev.funkwhale.audio/funkwhale/ui/commits/e79555f))
- Resolve Mathieu's comments ([c1439dd](https://dev.funkwhale.audio/funkwhale/ui/commits/c1439dd))
- Split up source, docs and tests ([0341259](https://dev.funkwhale.audio/funkwhale/ui/commits/0341259))
- Update outline active behavior ([5842a48](https://dev.funkwhale.audio/funkwhale/ui/commits/5842a48))
- v0.1.0-rc1 ([0dd7114](https://dev.funkwhale.audio/funkwhale/ui/commits/0dd7114))
- ci(deploy): Fix package publishing ([466d9cf](https://dev.funkwhale.audio/funkwhale/ui/commits/466d9cf))

## <small>0.0.4-rc2 (2022-09-25)</small>

- Add npm-config ([109759f](https://dev.funkwhale.audio/funkwhale/ui/commits/109759f))
- Don't run yarn login ([d28ebb6](https://dev.funkwhale.audio/funkwhale/ui/commits/d28ebb6))
- v0.0.4-rc1 ([3e9f6ca](https://dev.funkwhale.audio/funkwhale/ui/commits/3e9f6ca))
- v0.0.4-rc2 ([af9203e](https://dev.funkwhale.audio/funkwhale/ui/commits/af9203e))

## <small>0.0.3 (2022-09-24)</small>

- Document how to do a release ([d1d9b38](https://dev.funkwhale.audio/funkwhale/ui/commits/d1d9b38))
- Fix Gitlab CI ([7138400](https://dev.funkwhale.audio/funkwhale/ui/commits/7138400))
- v0.0.3 ([4ec0e58](https://dev.funkwhale.audio/funkwhale/ui/commits/4ec0e58))

## <small>0.0.2 (2022-09-24)</small>

- Add Unit testing ([49a981b](https://dev.funkwhale.audio/funkwhale/ui/commits/49a981b))
- Adjust directory structure ([fdb21a4](https://dev.funkwhale.audio/funkwhale/ui/commits/fdb21a4))
- Automate npm publish ([4d132ed](https://dev.funkwhale.audio/funkwhale/ui/commits/4d132ed))
- Bootstrap documentation ([94dfd1c](https://dev.funkwhale.audio/funkwhale/ui/commits/94dfd1c))
- Configure coverage and test result reports ([e684cb4](https://dev.funkwhale.audio/funkwhale/ui/commits/e684cb4))
- Fix component import path ([099772f](https://dev.funkwhale.audio/funkwhale/ui/commits/099772f))
- Fix gitlab ci filename ([d5f4b1e](https://dev.funkwhale.audio/funkwhale/ui/commits/d5f4b1e))
- Fix pages deployment path mappings ([3eb510f](https://dev.funkwhale.audio/funkwhale/ui/commits/3eb510f))
- Initial CI pipeline ([ab20208](https://dev.funkwhale.audio/funkwhale/ui/commits/ab20208))
- Initial commit ([fbb6155](https://dev.funkwhale.audio/funkwhale/ui/commits/fbb6155))
- Initial commit ([8046cbb](https://dev.funkwhale.audio/funkwhale/ui/commits/8046cbb))
- Remove prettier, it wants spaces instead of tabs ([ff8ad9a](https://dev.funkwhale.audio/funkwhale/ui/commits/ff8ad9a))
- Switch to vite + ts components ([ccecc09](https://dev.funkwhale.audio/funkwhale/ui/commits/ccecc09))
- Update dependency @funkwhale/ui to version 0.1.2-dev1 ([c858d7c](https://dev.funkwhale.audio/funkwhale/ui/commits/c858d7c))
- Update dependency reference ([51f0be5](https://dev.funkwhale.audio/funkwhale/ui/commits/51f0be5))
- v0.0.1 ([7ff014b](https://dev.funkwhale.audio/funkwhale/ui/commits/7ff014b))
- v0.0.2 ([baacc61](https://dev.funkwhale.audio/funkwhale/ui/commits/baacc61))
